#!/bin/bash
########################################################
## manage-horus.sh pour Horus-2.0 
#
## Equipe Eole eole@ac-dijon.fr
#
## 2003-2007
#
########################################################
#
# Initialisation des variables
# Avec verification dans l'Environnement 
RepEole=${RepEole="/usr/share/eole"}
export PATH=$PATH:/sbin

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
#export ECHO=InfoBox2
fi

# FIXME Eole2 !
service gpm status &>/dev/null
if [ $? -ne 0 ]
then
	NOMOUSE="--nomouse"
fi

TitreGen="Eole  -  Gestion Serveur HORUS"
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

export ECHO=InfoBox2
Question()
{
InputBox "$1" Rep
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
}

Entree(){
echo
echo  "Tapez <Entree>"
read Bidon
}

OkBox "Administration HORUS\n\nPour Vous Deplacer sur l'Ecran\nUtiliser votre Souris\nOu la touche tabulation.\n\n"
	
FileCpt="$Tmp/Horus$TmpSuff"
touch $FileCpt


Rep=""
while [ 1 ]
do
#MenuBox "Votre Choix"  Rep "1 Diagnostique_Horus 2 Reconfiguration 3 Mise_A_Jour_CD 4 Mise_A_Jour_Reseau 5 Demarre_les_services 6 Status_Samba 7 Paquets_en_Maj 8 Sauvegardes 9 Arret_Serveur ! Shell_Linux  Q Quitter"
MenuBox "Votre Choix"  Rep "1 Diagnostique_Horus 2 Reconfiguration 3 Paquets_en_Maj 4 Mise_A_Jour 6 Status_Samba 9 Arret_Serveur ! Shell_Linux Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
case $Rep in
	1) 
	 echo "En cours ..."
	 sudo /usr/bin/diagnose
	 Entree
	;;
	2) 
	 sudo  /usr/bin/reconfigure
	 Entree
	;;
	3) 
	sudo /usr/bin/Query-Auto
	Entree
	;;
	4) 
	sudo /usr/bin/Maj-Auto
	Entree
	;;
	5)
	#sudo $RepEole/StartAll
	echo  "Commande non disponible" 
	Entree
	;;
	6)
	smbstatus  > $FileCpt 2>&1
	dialog  --title "Diagnostique Samba"  --exit-label "Quitter" --textbox $FileCpt 0 0
	;;
	8)
	#$RepEole/manage-sauve.sh 
	echo  "Commande non disponible" 
	echo  "Frappez <Entree>" 
	read  Bidon
	;;
	!)
	echo "exit pour revenir au Menu"
        /bin/bash
        ;;
	9)
	QuestionBox "Vous avez demandé un arret total du serveur\nEtes vous sur ?" Rep
	if [ "$Rep" == "OUI" ] 
	then
	sudo /sbin/halt
	exit 0
	fi
	;;
	Q)
	exit 0
	;;

esac
done
