#!/bin/bash

############################
# reconf-horus.sh
# instructions spécifiques
# pour la reconfiguration 
# du module Horus
############################

# Appel Bibliothèque
. ParseDico

echo -e "\n## gestion du mot de passe LDAP ##"
/usr/share/eole/ldap_pwd.py `/usr/bin/pwgen -1`> /dev/null

echo -e "\n## gestion du SID ##"
/usr/share/eole/set_sid.sh

echo

# correction bug modele icones$
if ldapsearch -x sambaShareName=icones$|grep sambaShareModel|grep -v "icones\\$" >/dev/null
then
	python -c "from horus.backend import mod_share; mod_share('icones\$', model='icones\$')"
fi

## synchronisation du fichier smb.conf
/usr/share/horus/synchro-file.py norestart

# On relance le script de firewall
/usr/sbin/lance.firewall
